from enum    import Enum
from fastapi import FastAPI

class Season(str, Enum):
    spring = "봄"
    summer = "여름"
    autumn = "가을"
    winter = "겨울"

fastAPI = FastAPI()

@fastAPI.get("/season/{season}")
def getSeasonName(season:Season):
    if season is Season.spring:
        return {"season" : season, "message" : "테스트 메시지 1"}

    if season.value == "여름":
        return {"season" : season, "message" : "테스트 메시지 2"}

    if season.value == "가을":
        return {"season" : season, "message" : "테스트 메시지 3"}

    return {"season" : season, "message" : "테스트 메시지 4"}
